unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  VsControls, VsSkin, VsButtons, VsProgressBar, VsLed, VsLabel,
  VsSlider, ExtCtrls, VsComposer, VsImageClip, VsCheckBox, VsImageText;

type
  TForm1 = class(TForm)
    VsSkin1: TVsSkin;
    VsLabel1: TVsLabel;
    VsProgressBar1: TVsProgressBar;
    Timer1: TTimer;
    VsLed1: TVsLed;
    VsButton1: TVsButton;
    VsButton2: TVsButton;
    VsButton3: TVsButton;
    VsButton4: TVsButton;
    VsButton5: TVsButton;
    VsButton6: TVsButton;
    VsButton7: TVsButton;
    VsButton8: TVsButton;
    VsButton9: TVsButton;
    VsComposer1: TVsComposer;
    VsCheckBox1: TVsCheckBox;
    VsLabel3: TVsLabel;
    VsCheckBox2: TVsCheckBox;
    VsLabel4: TVsLabel;
    VsImageText1: TVsImageText;
    VsSlider1: TVsSlider;
    VsSlider2: TVsSlider;
    OpenDialog1: TOpenDialog;
    procedure Timer1Timer(Sender: TObject);
    procedure VsButton1Click(Sender: TObject);
    procedure VsButton2Click(Sender: TObject);
    procedure VsCheckBox1Click(Sender: TObject);
    procedure VsCheckBox2Click(Sender: TObject);
    procedure VsButton8Click(Sender: TObject);
  private
    Cnt: Integer;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  if VsProgressBar1.Position < VsProgressBar1.MaxValue then
    VsProgressBar1.StepIt
  else VsProgressBar1.Position := VsProgressBar1.MinValue;
  VsLed1.Active := not VsLed1.Active;
  Inc(Cnt);
  VsImageText1.Text := Format('%.4d', [Cnt]);
end;

procedure TForm1.VsButton1Click(Sender: TObject);
begin
  Application.Minimize;
end;

procedure TForm1.VsButton2Click(Sender: TObject);
begin
  Application.Terminate;
end;

procedure TForm1.VsCheckBox1Click(Sender: TObject);
begin
  VsLabel3.Visible := VsCheckBox1.Checked;
end;

procedure TForm1.VsCheckBox2Click(Sender: TObject);
begin
  VsLabel4.Visible := VsCheckBox2.Checked;
end;

procedure TForm1.VsButton8Click(Sender: TObject);
begin
  OpenDialog1.InitialDir := GetCurrentDir;
  if OpenDialog1.Execute then
    VsSkin1.ReadSkin(OpenDialog1.FileName);
end;

end.
